- var ListadoCabecera = ["Forma de pago", "Monto"]

div.modal-header
    h4.modal-title {{ tTituloModal }}
    button(type="button", aria-label="Close", (click)="activeModal.dismiss({'Resultado' : 'N', 'Pedido' : tPedidoModal})").close
        span(aria-hidden="true") &times;

div.modal-body
    div.row
        div.datos-cliente
            div.form-row
                div.col-12.text-center
                    img([Gravatar]="tClienteModal.Email", alt="Usario").datos-cliente--imagen
            div.form-row.pt-2
                div.col-12.text-center
                    h6 [{{ tClienteModal.Codcliente }}] - {{ tClienteModal.Descripcion }}
            div.form-row.pt-2
                div.col-12.text-center
                    h6 [{{ tPedidoModal.Codpedido }}] - {{ tPedidoModal.Tipo }}
            div.datos-cliente--division
                span
            div.form-row.pt-1
                div.col-12
                    div.Tarjeta
                        div(Borde="success").Tarjeta--Cuerpo
                            div.Tarjeta--Cuerpo-Fila
                                div.col-12
                                    div.Tarjeta--Texto
                                        span(Color="success").Tarjeta--Texto-Titulo Crédito
                            div(Alineacion="center").Tarjeta--Cuerpo-Fila
                                div.col-auto
                                    div.fas.fa-calculator.fa-2x.text-gray-300
                                div.col.ml-4
                                    div.Tarjeta--Texto
                                        span(Color="success").Tarjeta--Texto-Titulo Limite:
                                        span.Tarjeta--Texto-Contenido {{ tClienteModal.Limite_credito | number:'0.1-2' }}
                                    div.Tarjeta--Texto
                                        span(Color="success").Tarjeta--Texto-Titulo Usado:
                                        span.Tarjeta--Texto-Contenido {{ tClienteModal.Credito_usado | number:'0.1-2' }}
                                    div.Tarjeta--Separador
                                    div.Tarjeta--Texto
                                        span(Color="success").Tarjeta--Texto-Titulo Disponible:
                                        span.Tarjeta--Texto-Contenido {{ tClienteModal.Limite_credito - tClienteModal.Credito_usado | number:'0.1-2' }}
            div.form-row.pt-1
                div.col-12
                    div.Tarjeta
                        div(Borde="secondary").Tarjeta--Cuerpo
                            div.Tarjeta--Cuerpo-Fila
                                div.col-12
                                    div.Tarjeta--Texto
                                        span(Color="secondary").Tarjeta--Texto-Titulo Facturas a credito
                            div(Alineacion="center").Tarjeta--Cuerpo-Fila
                                div.col-auto
                                    div.fas.fa-calculator.fa-2x.text-gray-300
                                div.col.ml-4
                                    div.Tarjeta--Texto
                                        span(Color="secondary").Tarjeta--Texto-Titulo Limite:
                                        span.Tarjeta--Texto-Contenido {{ tClienteModal.Limite_facturas_credito }}
                                    div.Tarjeta--Texto
                                        span(Color="secondary").Tarjeta--Texto-Titulo Activas:
                                        span.Tarjeta--Texto-Contenido {{ tClienteModal.Facturas_credito_activas }}
                                    div.Tarjeta--Separador
                                    div.Tarjeta--Texto
                                        span(Color="secondary").Tarjeta--Texto-Titulo Disponible:
                                        span.Tarjeta--Texto-Contenido {{ tClienteModal.Limite_facturas_credito - tClienteModal.Facturas_credito_activas }}
            div.form-row.pt-1
                div.col-12
                    div.Tarjeta
                        div(Borde="danger").Tarjeta--Cuerpo
                            div.Tarjeta--Cuerpo-Fila
                                div.col-12
                                    div.Tarjeta--Texto
                                        span(Color="danger").Tarjeta--Texto-Titulo Facturas vencidas
                            div(Alineacion="center").Tarjeta--Cuerpo-Fila
                                div.col-auto
                                    div.fas.fa-calculator.fa-2x.text-gray-300
                                div.col.ml-4
                                    div.Tarjeta--Texto
                                        span(Color="danger").Tarjeta--Texto-Titulo Limite:
                                        span.Tarjeta--Texto-Contenido {{ tClienteModal.Limite_facturas_vencidas }}
                                    div.Tarjeta--Texto
                                        span(Color="danger").Tarjeta--Texto-Titulo Vencidas:
                                        span.Tarjeta--Texto-Contenido {{ tClienteModal.Facturas_credito_vencidas }}
                                    div.Tarjeta--Separador
                                    div.Tarjeta--Texto
                                        span(Color="danger").Tarjeta--Texto-Titulo Disponible:
                                        span.Tarjeta--Texto-Contenido {{ tClienteModal.Limite_facturas_vencidas - tClienteModal.Facturas_credito_vencidas }}
        div.datos-pago
            div.form-row
                div.form-group.col-12.bg-light.rounded
                    ul.nav.mt-1.mb-1
                        li.nav-item
                            button(type="button", (click)="FacturarContado()").btn.btn-link
                                i.fas.fa-file-alt.mr-2
                                span.text-xs Contado
                        li.nav-item
                            button(type="button", (click)="FacturarCredito()").btn.btn-link
                                i.fas.fa-file-alt.mr-2
                                span.text-xs Crédito
            div(*ngIf="tFacturaContado === true").form-row
                div.form-group.col-12
                    div.form-row
                        div.form-group.col-12.col-lg-5
                            //- label.form-label.h6 Forma de pago
                            div.ControlInput
                                div.ControlInput--ContenedorIcono
                                    span.ControlInput--ContenedorIcono-Icono
                                        i.fas.fa-money-check-alt
                                select([(ngModel)]="tFormaPagoActual",
                                            (change)="SeleccionarFormaPago()",
                                            size-select="sm")#ddlTipo.ControlInput--Select
                                    option(*ngFor="let tForma of tFormasPagos",
                                            [ngValue]="tForma")  [ {{ tForma.Codformapago }} ] {{ tForma.Descripcion }}
                        div.form-group.col-12.col-lg-5
                            //- label.form-label.h6 Monto
                            div.ControlInput
                                div.ControlInput--ContenedorIcono
                                    span.ControlInput--ContenedorIcono-Icono
                                        i.fas.fa-coins
                                input(placeholder="Monto", 
                                    SoloNumeros="decimal", 
                                    min="0",
                                    [(ngModel)]="tVentaFormaPagoActual.Monto",
                                    [disabled]="BloquearControlMonto()",
                                    size="sm").ControlInput--Input
                        div.form-group.col-12.col-lg-2
                            //- label.form-label.h6
                            button(type="button",
                                (click)="AgregarFormaPago()").btn.btn-sm.btn-primary.btn-icon-split
                                span.icon.text-white-50
                                    i.fas.fa-cash-register
                                span.text Agregar
                    div.form-row
                        div.form-group.col-12
                            ul(role="tablist").nav.nav-tabs
                                li.nav-item
                                    a(data-toggle="tab", 
                                        href="#SelReferencias",
                                        role="tab",
                                        aria-controls="SelReferencias",
                                        aria-selected="true")#SelReferencias-tab.nav-link.active Referencias
                                li.nav-item
                                    a(data-toggle="tab", 
                                        href="#SelTasa",
                                        role="tab",
                                        aria-controls="SelTasa",
                                        aria-selected="true")#SelTasa-tab.nav-link Tasa
                    div.form-row
                        div.form-group.col-12
                            div.tab-content#mvDatos
                                div(role="tabpanel", aria-labelledby="SelReferencias-tab").tab-pane.fade.show.active#SelReferencias
                                    ng-container(*ngIf="tFormaPagoActual.Referencia === 'S'")
                                        div.form-row
                                            div.form-group.col-12
                                                label.form-label.h6 Referencia
                                                div.ControlInput
                                                    div.ControlInput--ContenedorIcono
                                                        span.ControlInput--ContenedorIcono-Icono
                                                            i.fas.fa-barcode
                                                    input(type="text",
                                                        [(ngModel)]="tVentaFormaPagoActual.FormaPagoReferencia.Referencia",
                                                        size="sm").ControlInput--Input
                                    ng-container(*ngIf="tFormaPagoActual.Referencia === 'N'")
                                        div.form-row
                                            div.form-group.col-12
                                                h6.card-title No necesita referencia
                                div(role="tabpanel", aria-labelledby="SelTasa-tab").tab-pane.fade#SelTasa
                                    ng-container(*ngIf="tFormaPagoActual.Tasa === 'S'")
                                        div.form-row
                                            div.form-group.col-4
                                                div.ControlInput
                                                    div.ControlInput--ContenedorIcono
                                                        span.ControlInput--ContenedorIcono-Icono
                                                            i.fas.fa-dollar-sign
                                                    select([(ngModel)]="tTasaActual",
                                                            size-select="sm")#ddlTipo.ControlInput--Select
                                                        option(*ngFor="let tTasasFor of tTasas",
                                                            [ngValue]="tTasasFor")  [ {{ tTasasFor.Codmonedaorigen }} ] {{ tTasasFor.Descripcion_origen }}
                                            div.form-group.col-4
                                                div.ControlInput
                                                    div.ControlInput--ContenedorIcono
                                                        span.ControlInput--ContenedorIcono-Icono
                                                            i.fas.fa-coins
                                                    label(size-label="sm").ControlInput--Label  {{ tTasaActual.Tasa | currency : tEmpresaActual.Simbolo }}
                                            div.form-group.col-4
                                                div.ControlInput
                                                    div.ControlInput--ContenedorIcono
                                                        span.ControlInput--ContenedorIcono-Icono
                                                            i.fas.fa-coins
                                                    input(placeholder="Monto", 
                                                            SoloNumeros="decimal", 
                                                            min="0",
                                                            [(ngModel)]="tVentaFormaPagoActual.FormaPagoTasa.Monto",
                                                            (ngModelChange)="CalcularCambio()",
                                                            size="sm").ControlInput--Input
                                    ng-container(*ngIf="tFormaPagoActual.Tasa === 'N'")
                                        div.form-row
                                            div.form-group.col-12
                                                h6.card-title No necesita tasa
                    div.form-row
                        div.form-group.col-12.col-lg-6            
                            div.form-row
                                div.form-group.col-12
                                    div.table-responsive
                                        table.table.table-sm.table-hover.table-striped
                                            thead
                                                tr
                                                    th
                                                    each Cabecera in ListadoCabecera || []
                                                        th
                                                            h6
                                                                small.font-weight-bold=Cabecera
                                            tbody
                                                tr(*ngFor="let tFormaPago of tVentaActual.LFormasPagos | slice: (tPaginaFormasPagos-1) * tTamanoPagFormasPagos : (tPaginaFormasPagos-1) * tTamanoPagFormasPagos + tTamanoPagFormasPagos ; let jv = index",
                                                    (mouseover)="SeleccionarVentaPago(tFormaPago)").mt-2.mb-2
                                                    th
                                                        button(type="button",
                                                                (click)="EliminarFormaPago(jv)").btn.btn-sm.btn-danger.mr-1
                                                            i.fas.fa-trash-alt
                                                    td
                                                        h6.text-nowrap {{ ObtenerDescripcionFormaPago(tFormaPago) }} 
                                                    td
                                                        h6.text-nowrap {{ tFormaPago.Monto | currency : tEmpresaActual.Simbolo }} 
                        div.form-group.col-12.col-lg-6    
                            div.form-row
                                div.form-group.col-12
                                    ul(role="tablist").nav.nav-tabs
                                        li.nav-item
                                            a(data-toggle="tab", 
                                                href="#Referencias",
                                                role="tab",
                                                aria-controls="Referencias",
                                                aria-selected="true")#Referencias-tab.nav-link.active Referencias
                                        li.nav-item
                                            a(data-toggle="tab", 
                                                href="#Tasa",
                                                role="tab",
                                                aria-controls="Tasa",
                                                aria-selected="true")#Tasa-tab.nav-link Tasa
                            div.form-row
                                div.form-group.col-12
                                    div.tab-content#mvDatos
                                        div(role="tabpanel", aria-labelledby="Referencias-tab").tab-pane.fade.show.active#Referencias
                                            div.form-row
                                                div.form-group.col-12
                                                    label.form-label.h6 Referencia
                                                    div.ControlInput
                                                        div.ControlInput--ContenedorIcono
                                                            span.ControlInput--ContenedorIcono-Icono
                                                                i.fas.fa-barcode
                                                        label(size-label="sm").ControlInput--Label {{ tVentaFormaPagoRefActual.Referencia }}
                                        div(role="tabpanel", aria-labelledby="Tasa-tab").tab-pane.fade#Tasa
                                            div.form-row
                                                div.form-group.col-6
                                                    label.form-label.h6 Moneda Origen
                                                    div.ControlInput
                                                        div.ControlInput--ContenedorIcono
                                                            span.ControlInput--ContenedorIcono-Icono
                                                                i.fas.fa-coins
                                                        label(size-label="sm").ControlInput--Label {{ ObtenerFormaPagoOrigen() }} 
                                                div.form-group.col-6
                                                    label.form-label.h6 Moneda Destino
                                                    div.ControlInput
                                                        div.ControlInput--ContenedorIcono
                                                            span.ControlInput--ContenedorIcono-Icono
                                                                i.fas.fa-coins
                                                        label(size-label="sm").ControlInput--Label {{ ObtenerFormaPagoDestino() }} 
                                            div.form-row
                                                div.form-group.col-6
                                                    label.form-label.h6 Tasa de cambio
                                                    div.ControlInput
                                                        div.ControlInput--ContenedorIcono
                                                            span.ControlInput--ContenedorIcono-Icono
                                                                i.fas.fa-dollar-sign
                                                        label(size-label="sm").ControlInput--Label {{ ObtenerFormaPagoTasa() }}
                                                div.form-group.col-6
                                                    label.form-label.h6 Monto
                                                    div.ControlInput
                                                        div.ControlInput--ContenedorIcono
                                                            span.ControlInput--ContenedorIcono-Icono
                                                                i.fas.fa-coins
                                                        label(size-label="sm").ControlInput--Label {{ tVentaFormaPagoTasaActual.Monto }}
                    div.form-row
                        div.form-group.col-12.col-lg-3.offset-lg-3
                            div.card.border-left-success.shadow-sm
                                div.card-body
                                    div.row.no-gutters.align-items-center
                                        div.col.mr-2
                                            div.text-xs.font-weight-bold.text-success.mb-1 Total
                                            div.h5.mb-0.font-weight-bold.text-gray-800 {{ tPedidoModal.Total | currency : tEmpresaActual.Simbolo  }}
                                        div.col-auto
                                            div.fas.fa-coins.fa-2x.text-gray-300
                        div.form-group.col-12.col-lg-3
                            div.card.border-left-primary.shadow-sm
                                div.card-body
                                    div.row.no-gutters.align-items-center
                                        div.col.mr-2
                                            div.text-xs.font-weight-bold.text-primary.mb-1 Pagado
                                            div.h5.mb-0.font-weight-bold.text-gray-800 {{ ObtenerTotalPagado() | currency : tEmpresaActual.Simbolo  }}
                                        div.col-auto
                                            div.fas.fa-percent.fa-2x.text-gray-300
                        div.form-group.col-12.col-lg-3
                            div.card.border-left-danger.shadow-sm
                                div.card-body
                                    div.row.no-gutters.align-items-center
                                        div.col.mr-2
                                            div.text-xs.font-weight-bold.text-danger.mb-1 Vuelto
                                            div.h5.mb-0.font-weight-bold.text-gray-800 {{ ObtenerVuelto() | currency : tEmpresaActual.Simbolo  }}
                                        div.col-auto
                                            div.fas.fa-percent.fa-2x.text-gray-300
            div(*ngIf="tFacturaCredito === true").form-row
                div.form-group.col-12
                    div.form-row
                        div.form-group.col-12.col-lg-4.offset-lg-4
                            div.card.border-left-success.shadow-sm
                                div.card-body
                                    div.row.no-gutters.align-items-center
                                        div.col.mr-2
                                            div.text-xs.font-weight-bold.text-success.mb-1 Total
                                            div.h5.mb-0.font-weight-bold.text-gray-800 {{ tPedidoModal.Total | currency : tEmpresaActual.Simbolo  }}
                                        div.col-auto
                                            div.fas.fa-coins.fa-2x.text-gray-300
                        div.form-group.col-12.col-lg-4
                            div.card.border-left-warning.shadow-sm
                                div.card-body
                                    div.row.no-gutters.align-items-center
                                        div.col.mr-2
                                            div.text-xs.font-weight-bold.text-warning.mb-1 Credito disponible
                                            div.h5.mb-0.font-weight-bold.text-gray-800 {{ tClienteModal.Limite_credito - tClienteModal.Credito_usado | currency : tEmpresaActual.Simbolo  }}
                                        div.col-auto
                                            div.fas.fa-percent.fa-2x.text-gray-300
div.modal-footer
    button(type="button",
        (click)="activeModal.close({'Resultado' : 'S'})").btn.btn-secondary.btn-icon-split.ml-2
        span.icon.text-white-50
            i.fas.fa-times
        span.text Cerrar
    button(type="button",
        (click)="Facturar()").btn.btn-primary.btn-icon-split.ml-2
        span.icon.text-white-50
            i.fas.fa-times
        span.text Facturar